Package org.eclipse.m2m.atl.adt.ui.text

# Class AtlWordDetector

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.AtlWordDetector

All Implemented Interfaces:
  `org.eclipse.jface.text.rules.IWordDetector`

public class AtlWordDetector extends Object implements org.eclipse.jface.text.rules.IWordDetector
This class allows to check if a parsed word is an ATL one or not. This is the same method as for all other languages.

## Constructor Summary

Constructors
Constructor
Description
`AtlWordDetector()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isWordPart(char c)`
`boolean`
`isWordStart(char c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlWordDetector

public AtlWordDetector()

## Method Details

### isWordStart

public boolean isWordStart(char c)

Specified by:
  `isWordStart` in interface `org.eclipse.jface.text.rules.IWordDetector`
See Also:
  - `IWordDetector.isWordStart(char)`

### isWordPart

public boolean isWordPart(char c)

Specified by:
  `isWordPart` in interface `org.eclipse.jface.text.rules.IWordDetector`
See Also:
  - `IWordDetector.isWordPart(char)`